[DATASET]
dataset_package = decentralizepy.datasets.CIFAR10
dataset_class = CIFAR10
model_class = LeNet
train_dir = /mnt/nfs/shared/CIFAR
test_dir = /mnt/nfs/shared/CIFAR
; python list of fractions below
sizes =
random_seed = 99
partition_niid = True
shards = 1

[OPTIMIZER_PARAMS]
optimizer_package = torch.optim
optimizer_class = SGD
lr = 0.001

[TRAIN_PARAMS]
training_package = decentralizepy.training.Training
training_class = Training
rounds = 65
full_epochs = False
batch_size = 8
shuffle = True
loss_package = torch.nn
loss_class = CrossEntropyLoss

[COMMUNICATION]
comm_package = decentralizepy.communication.TCPRandomWalk
comm_class = TCPRandomWalk
addresses_filepath = ip_addr_6Machines.json
compression_package = decentralizepy.compression.Eliaszfplossy1
compression_class = Eliaszfplossy1
compress = True
sampler = equi_check_history

[SHARING]
sharing_package = decentralizepy.sharing.JwinsDPSGDAsync
sharing_class = JwinsDPSGDAsync
alpha=0.0833
lower_bound=0.2
metro_hastings=False
change_based_selection = True
wavelet=sym2
level= None
accumulation = True
accumulate_averaging_changes = True
